FROM node:20.19.0 AS build

WORKDIR /app

COPY package*.json ./

RUN npm install

RUN npm install -g @angular/cli

COPY . .

RUN ng build --configuration=production

CMD [ "ng", "serve","--port", "4260", "--host", "0.0.0.0" ]
